Skip to main content
POST
Check snapshot policy quota

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Body

application/json
action
enum<string>
required

Action that the policy will perform.

Available options:
volume_snapshot
Example:

"volume_snapshot"

name
string
required

Name of the lifecycle policy.

Example:

"schedule_1"

schedules
(CreateCronScheduleSerializer · object | CreateIntervalScheduleSerializer · object)[]

List of schedules associated with the policy.

Maximum array length: 10

List of schedules associated with the policy. If the schedule made 'max_quantity' snapshots, a new snapshot will be created in time, but the oldest from the schedules snapshots will be deleted. If 'retention_time' was set and the schedules snapshots will be delete after the specified period of time. In resource_name_template you can use such forms that will then be automatically filled in with values: '{volume_id}', '{schedule_id}', '{lifecycle_policy_id}', '{datetime_utc}', '{local_datetime}'.

Example:
status
enum<string>
default:active

Current status of the lifecycle policy.

Available options:
active,
paused
Example:

"active"

volume_ids
string<uuid4>[]

List of volume IDs.

Example:

Response

200 - application/json

OK

max_cost
ItemPriceResponseSerializer · object
required

Total billed cost of all snapshots that can be created by the schedule. Cost of max_volume_snapshot_count_usage snapshots.

Example:
max_volume_snapshot_count_usage
integer
required

Count of snapshots that can be created if the schedule creates the maximum possible number of snapshots.

Example:

2

max_volume_snapshot_sequence_length
integer
required

Maximum volume snapshot sequence length.

Example:

2

max_volume_snapshot_size_usage
integer
required

The amount of memory in GiB that snapshots will take up if the schedule creates the maximum possible number of them.

Example:

20